# DeResidencePermitBack class

German Residence Permit, Back side

Inheritance
  - Object
  - GenericDocumentWrapper
  - DeResidencePermitBack

## Constructors

DeResidencePermitBack(GenericDocument document)

## Properties

address → TextFieldWrapper
  Address
  no setter
birthDate → ValidatedTextFieldWrapper?
  Birth date
  no setter
birthplace → TextFieldWrapper
  Birthplace
  no setter
document → GenericDocument
  final inherited
eyeColor → TextFieldWrapper
  Eye color
  no setter
gender → TextFieldWrapper?
  Gender
  no setter
hashCode → int
  The hash code for this object.
  no setter inherited
height → TextFieldWrapper
  Height
  no setter
issuingAuthority → TextFieldWrapper
  Issuing authority
  no setter
mrz → MRZ
  The child document of type "MRZ".
  no setter
nationality → TextFieldWrapper?
  Nationality
  no setter
rawMRZ → TextFieldWrapper
  Raw MRZ text value
  no setter
remarks → TextFieldWrapper?
  Remarks
  no setter
requiredDocumentType → String
  no setter override
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

DOCUMENT_NORMALIZED_TYPE → const String
  Normalized document type name of this document wrapper.
DOCUMENT_TYPE → const String
  Generic document type name of this document wrapper.